> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Version

> GetVersion retrieves version information and receives instructions for agent updates
or maintenance based on the current state and health of the agent.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /logging/agentmanager/v1/versions/get-version
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /logging/agentmanager/v1/versions/get-version:
    get:
      tags:
        - nebius.logging.agentmanager.v1.VersionService
      summary: Get Version
      description: >-
        GetVersion retrieves version information and receives instructions for
        agent updates

        or maintenance based on the current state and health of the agent.
      operationId: VersionService_GetVersion
      parameters:
        - description: |-
            Type of the agent. Must be O11Y_AGENT (1).

             - AGENT_UNDEFINED: Default undefined state.
             - O11Y_AGENT: Observability agent type.
          in: query
          name: type
          schema:
            default: AGENT_UNDEFINED
            enum:
              - AGENT_UNDEFINED
              - O11Y_AGENT
            type: string
        - description: Current version of the agent software.
          in: query
          name: agentVersion
          schema:
            type: string
        - description: Version of the updater component.
          in: query
          name: updaterVersion
          schema:
            type: string
        - description: Parent identifier for the VM
          in: query
          name: parentId
          schema:
            type: string
        - description: Unique identifier for the instance where agent is running.
          in: query
          name: instanceId
          schema:
            type: string
        - description: |-
            Operating system name and version.
            Example: "Ubuntu 22.04.4 LTS"
          in: query
          name: osInfo.name
          schema:
            type: string
        - description: >-
            Detailed system information from uname command.


            Example:

            ```

            Linux computeimage-abcdef 6.5.0-44-generic #44~22.04.1-Ubuntu SMP
            PREEMPT_DYNAMIC Tue Jun 18 14:36:16 UTC 2 x86_64 x86_64 x86_64
            GNU/Linux

            ```
          in: query
          name: osInfo.uname
          schema:
            type: string
        - description: System architecture.
          in: query
          name: osInfo.architecture
          schema:
            type: string
        - description: |-
            Current operational state of the agent.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: agentState
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Time duration since the agent started.
          in: query
          name: agentUptime
          schema:
            type: string
        - description: Total system uptime.
          in: query
          name: systemUptime
          schema:
            type: string
        - description: Time duration since the updater component started.
          in: query
          name: updaterUptime
          schema:
            type: string
        - description: Status messages from the agent describing its current state.
          in: query
          name: agentStateMessages
          schema:
            items:
              type: string
            type: array
        - description: Description of the last update failure, if any.
          in: query
          name: lastUpdateError
          schema:
            type: string
        - description: Managed Kubernetes cluster identifier, if applicable.
          in: query
          name: mk8sClusterId
          schema:
            type: string
        - description: |-
            Current operational state of the module.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: modulesHealth.process.state
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Status messages describing the module's state.
          in: query
          name: modulesHealth.process.messages
          schema:
            items:
              type: string
            type: array
        - description: |-
            Current operational state of the module.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: modulesHealth.gpuPipeline.state
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Status messages describing the module's state.
          in: query
          name: modulesHealth.gpuPipeline.messages
          schema:
            items:
              type: string
            type: array
        - description: |-
            Current operational state of the module.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: modulesHealth.cpuPipeline.state
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Status messages describing the module's state.
          in: query
          name: modulesHealth.cpuPipeline.messages
          schema:
            items:
              type: string
            type: array
        - description: |-
            Current operational state of the module.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: modulesHealth.ciliumPipeline.state
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Status messages describing the module's state.
          in: query
          name: modulesHealth.ciliumPipeline.messages
          schema:
            items:
              type: string
            type: array
        - description: |-
            Current operational state of the module.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: modulesHealth.vmappsPipeline.state
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Status messages describing the module's state.
          in: query
          name: modulesHealth.vmappsPipeline.messages
          schema:
            items:
              type: string
            type: array
        - description: |-
            Current operational state of the module.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: modulesHealth.commonServiceLogsPipeline.state
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Status messages describing the module's state.
          in: query
          name: modulesHealth.commonServiceLogsPipeline.messages
          schema:
            items:
              type: string
            type: array
        - description: |-
            Current operational state of the module.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: modulesHealth.vmServiceLogsPipeline.state
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Status messages describing the module's state.
          in: query
          name: modulesHealth.vmServiceLogsPipeline.messages
          schema:
            items:
              type: string
            type: array
        - description: |-
            Current operational state of the module.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: modulesHealth.computeGpuLogsPipeline.state
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Status messages describing the module's state.
          in: query
          name: modulesHealth.computeGpuLogsPipeline.messages
          schema:
            items:
              type: string
            type: array
        - description: |-
            Current operational state of the module.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: modulesHealth.journaldPipeline.state
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Status messages describing the module's state.
          in: query
          name: modulesHealth.journaldPipeline.messages
          schema:
            items:
              type: string
            type: array
        - description: |-
            Current operational state of the module.

             - STATE_UNDEFINED: Default undefined state.
             - STATE_HEALTHY: Agent is functioning normally.
             - STATE_ERROR: Agent is in error state.
          in: query
          name: modulesHealth.ncclMetricsPipeline.state
          schema:
            default: STATE_UNDEFINED
            enum:
              - STATE_UNDEFINED
              - STATE_HEALTHY
              - STATE_ERROR
            type: string
        - description: Status messages describing the module's state.
          in: query
          name: modulesHealth.ncclMetricsPipeline.messages
          schema:
            items:
              type: string
            type: array
        - description: Status of cloud initialization process.
          in: query
          name: cloudInitStatus
          schema:
            type: string
        - description: Indicates if a fallback method was used to determine instance_id.
          in: query
          name: instanceIdUsedFallback
          schema:
            type: boolean
        - description: Recent agent log entries for diagnostic purposes.
          in: query
          name: lastAgentLogs
          schema:
            type: string
        - description: Model of the GPU used in the system.
          in: query
          name: gpuModel
          schema:
            type: string
        - description: Number of GPUs available in the system.
          in: query
          name: gpuNumber
          schema:
            format: int32
            type: integer
        - description: Version of the DCGM (Data Center GPU Manager) used.
          in: query
          name: dcgmVersion
          schema:
            type: string
        - description: Size of the healthcheck directory in bytes.
          in: query
          name: healthcheckLogs.directorySizeBytes
          schema:
            format: int64
            type: string
        - description: Total size of the healthcheck mountpoint in bytes.
          in: query
          name: healthcheckLogs.mountpointTotalBytes
          schema:
            format: int64
            type: string
        - description: Largest config_version this agent has already accepted; 0 if none.
          in: query
          name: lastSeenConfigVersion
          schema:
            format: uint64
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1GetVersionResponse'
          description: A successful response.
components:
  schemas:
    v1GetVersionResponse:
      description: >-
        Response message for GetVersion RPC containing required action for the
        agent.
      properties:
        action:
          $ref: '#/components/schemas/v1Action'
        configVersion:
          description: >-
            Version of the rollout state this response was built from. Agent
            echoes

            it back as last_seen_config_version on the next request.
          format: uint64
          type: string
        featureFlags:
          additionalProperties:
            type: string
          description: >-
            Feature flags for the agent. Keys are UPPER_CASE flag names, values
            are flag values (typically "true"/"false").

            When feature_flags_unavailable is true the agent must ignore this
            field and

            keep its current flag set unchanged.
          type: object
        featureFlagsUnavailable:
          description: >-
            True when the server could not load feature-flag state. The agent
            must

            keep its current flag set instead of treating an empty feature_flags
            map

            as "clear all". The default value of false means feature_flags is

            authoritative — including legitimately empty.
          type: boolean
        nop:
          $ref: '#/components/schemas/v1NopActionParams'
        restart:
          $ref: '#/components/schemas/v1RestartActionParams'
        update:
          $ref: '#/components/schemas/v1UpdateActionParams'
      type: object
    v1Action:
      default: ACTION_UNDEFINED
      description: |-
        Action to be taken by the agent based on version check.

         - ACTION_UNDEFINED: Default undefined action.
         - NOP: No operation needed.
         - UPDATE: Update to new version required.
         - RESTART: Agent restart required.
      enum:
        - ACTION_UNDEFINED
        - NOP
        - UPDATE
        - RESTART
      type: string
    v1NopActionParams:
      description: Parameters when no operation is required.
      type: object
    v1RestartActionParams:
      description: Parameters for agent restart action.
      type: object
    v1UpdateActionParams:
      description: Parameters for agent update action.
      properties:
        repoUrl:
          description: URL of the repository containing the update.
          type: string
        version:
          description: Target version for the update.
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````